/* Common */
.woocommerce-page :focus-visible {
	outline: none !important;
}

.woocommerce-page {
	--wp--preset--font-size--small: 15px;
}

.woocommerce-page h1 {
	font-weight: var(--fw-normal);
}

.woocommerce-page .main > .wrap {
	min-height: 600px;
}


/* Notices  */
.woocommerce-notices-wrapper ul li {
	padding-left: 3rem !important;
	padding: 20px;
}

.woocommerce-notices-wrapper ul li:focus

.woocommerce-notices-wrapper ul li::before {
	display: none;
}

.woocommerce-notices-wrapper .woocommerce-error li {
	background-color: var(--c-smalt);
	color: var(--c-white);
}

.woocommerce-notices-wrapper .woocommerce-message {
	padding: 20px;
	margin-bottom: 1rem;
	background-color: var(--c-gray-light);
	display: flex;
	align-items: center;
	justify-content: space-between;
}	

.woocommerce-notices-wrapper .woocommerce-message a.button {
	margin: 0;
}



/* Forms */
.woo-smalt .u-columns {
	display: flex;
	flex-wrap: nowrap;
	gap: 40px;
}

.woo-smalt .u-columns .col-1,
.woo-smalt .u-columns .col-2 {
	flex: 1 0 0;
	width: unset;
	background-color: var(--c-gray-light);
	padding: 20px 30px;
}

.woo-smalt form .woocommerce-form-row {
	display: flex;
	flex-direction: column;
}

.woo-smalt form label, {
	margin-bottom: 5px;
}

.woo-smalt form label .required {
	color: #f00;
	font-size: 20px;
	font-weight: var(--fw-bold);
	line-height: 1;
	position: relative;
	top: 4px;
}

.woo-smalt form input[type="text"],
.woo-smalt form input[type="password"],
.woo-smalt form input[type="email"],
.woo-smalt form input[type="number"] {
	width: 100%;
	padding: 5px 10px;
}

.woo-smalt form button.show-password-input {
	display: none;
}

.woo-smalt form button[type="submit"],
.woo-smalt a.button,
.woo-smalt a.wc-forward,
.wc-block-cart__submit-container .wc-block-cart__submit-button,
.wc-block-components-checkout-place-order-button {
	display: block;
	margin: 10px auto 0 0;
	border: 1px solid var(--c-smalt);
	background-color: var(--c-smalt);
	color: var(--c-white);
	padding: 12px 24px;
	font-weight: var(--fw-medium);
	transition: var(--transition);
}

.woo-smalt a.button,
.woo-smalt a.wc-forward {
	width: max-content;
}

.woo-smalt form button[type="submit"]:hover,
.woo-smalt a.button:hover,
.woo-smalt a.wc-forward:hover,
.wc-block-cart__submit-container .wc-block-cart__submit-button:hover,
.wc-block-components-checkout-place-order-button:hover {
	border: 1px solid var(--c-smalt);
	background-color: var(--c-white);
	color: var(--c-smalt);
}




/* Account */
.woo-smalt .woocommerce-MyAccount-navigation {
	width: 25%;
	float: left;
}

.woo-smalt .woocommerce-MyAccount-content {
	width: 75%;
	float: right;
}



/* Mini cart*/
.minicart {
	display: flex;
	align-items: center;
	justify-content: center;
	position: fixed;
	right: 20px;
	bottom: 20px;
	background-color: #fff;
	z-index: 10000;
	margin: 0;
	border-radius: 999px;
	width: 50px;
	height: 50px;
	box-shadow: 0 0 10px #ccc;
}

.minicart svg {
	width: 22px;
	height: auto;
}

.minicart .badge {
	position: absolute;
	right: -12px;
	top: -8px;
	background-color: var(--c-smalt);
	font-size: 14px;
	padding: 5px 10px;
	border-radius: 20px;
}

.minicart svg {
	fill: var(--c-gray-medium);
}



/* Product list */
.woo-smalt ul.products {
	display: grid;
	grid-template-columns: repeat(4, 1fr);
	gap: 25px;
}

.woo-smalt ul.products li {
	padding: 0;
	text-align: center;
}

.woo-smalt ul.products li::before {
	display: none;
}

.woo-smalt ul.products li h2 {
	color: var(--c-gray-dark);
	padding: 10px 10px 0 10px;
	font-size: 20px;
	font-weight: var(--fw-normal);

}

.woo-smalt ul.products li a.add_to_cart_button,
.woo-smalt ul.products li a.wc-forward {
	margin: 10px auto 30px auto;
	padding: 10px 20px;
}

.woo-smalt ul.products li a.add_to_cart_button.loading {
	pointer-events: none;
	opacity: 0.5;
}

.woo-smalt ul.products li a.add_to_cart_button.added {
	display: none;
}



/* Product detail */
.woo-smalt div.product {
	display: grid;
	gap: 25px;
	grid-template-columns: 1fr 1fr;
	background-color: transparent;
}

.woo-smalt div.product .woocommerce-product-gallery__wrapper {
	display: flex;
	flex-wrap: wrap;
	gap: 10px;
}

.woo-smalt div.product .woocommerce-product-gallery__wrapper > div:first-child {

}

.woo-smalt div.product .quantity input.qty {
	width: max-content;
}

.woo-smalt div.product .summary .price-without-tax .amount {
	font-weight: var(--fw-medium);
	font-size: 26px;
	color: var(--c-smalt);
}

.woo-smalt div.product form.cart {
	display: flex;
	flex-wrap: nowrap;
	align-items: center;
	gap: 10px;
}

.woo-smalt div.product form.cart .button {
	margin: 0;
}

.woo-smalt div.product form.cart .wpa-test-msg {
	display: none;
}

.woo-smalt div.product .product-attributes {
	margin-top: 20px;
}

.woo-smalt div.product .product-attributes table th {
	padding-right: 10px;
}

.woo-smalt div.product .product-long-description {
	grid-column: 1 / span 2;
}


/* Cart and checkout */
table.wc-block-cart-items {
	margin: 0;
}

table.wc-block-cart-items .wc-block-cart-items__header th {
	color: var(--c-gray-dark);
}

table.wc-block-cart-items .wc-block-cart-items__row {
	border-top: 1px solid var(--c-gray-light);
	border-bottom: 1px solid var(--c-gray-light);
}

table.wc-block-cart-items .wc-block-cart-items__row td {
	border-top: 0;
}

table.wc-block-cart-items .wc-block-cart-items__row .wc-block-components-product-name {
	font-weight: var(--fw-bold);
}

table.wc-block-cart-items .wc-block-cart-items__row .wc-block-components-product-metadata__description,
.wp-block-woocommerce-checkout-order-summary-block .wc-block-components-product-metadata__description{
	display: none !important;
}

table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__total {
	font-weight: var(--fw-bold);
	padding-top: 16px;
}

.wc-block-components-totals-wrapper,
.wp-block-woocommerce-cart-order-summary-totals-block,
.wc-block-cart .wp-block-woocommerce-cart-order-summary-block {
	border-color: var(--c-gray-light) !important;
}

.wc-block-components-quantity-selector {
	border-color: var(--c-gray-medium) !important;	
}

.wc-block-components-totals-shipping .wc-block-components-totals-item strong {
	display: none !important;
}

.wc-block-cart__submit-container .wc-block-cart__submit-button:focus,
.wc-block-components-checkout-place-order-button:focus {
	box-shadow: none !important;
}

.wc-block-checkout__shipping-option .wc-block-checkout__shipping-option--free {
	display: none !important;
}

.wp-block-woocommerce-checkout-order-summary-totals-block {
	display: none !important;
}

.wc-block-components-payment-method-label {
	font-weight: var(--fw-medium);
}

.wc-block-components-address-form__country {
	display: none;
}

.wc-block-components-radio-control__label-group .wc-block-components-radio-control__secondary-label {
	display: none;
}

.wp-block-woocommerce-checkout-order-summary-block {
	margin-bottom: 20px;
}

.wc-block-components-order-summary .wc-block-components-order-summary-item__quantity {
	background-color: var(--c-smalt);
}

.wc-block-components-order-summary .wc-block-components-order-summary-item__quantity span {
	position: relative;
	top: -2px;
}


/* Thank you page */
.woocommerce-order-details table.woocommerce-table--order-details {
	margin: 0;
	width: auto;
}

.woocommerce-order-details table.woocommerce-table--order-details th {
	background-color: unset;
	color: var(--c-gray-dark);
	padding: 0;
	font-size: 100%;
}

.woocommerce-order-details table.woocommerce-table--order-details tbody tr:last-child {
	border-bottom: 1px solid var(--c-gray-light);
}

.woocommerce-order-details table.woocommerce-table--order-details tfoot tr:nth-child(odd) th {
	background-color: var(--c-gray-light);
}






